/*
 * $Id: Address.java,v 1.2 2005/12/06 23:12:34 boogie Exp $
 */ 
package formdef.plugin.example.nested.business;

/**
 * Address information for an employee. 
 */
public class Address {
    
    private String street;
    private String city;
    private String state;
    private int zip;

    public Address() {
    }

    public Address(String street, String city, String state, int zip) {
        this.street = street;
        this.city = city;
        this.state = state;
        this.zip = zip;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public int getZip() {
        return zip;
    }

    public void setZip(int zip) {
        this.zip = zip;
    }
    
    public String toString() {
        StringBuffer result = new StringBuffer(256);
        result.append("Address [");
        result.append("street=").append(getStreet()).append(";");
        result.append("city=").append(getCity()).append(";");
        result.append("state=").append(getState()).append(";");
        result.append("zip=").append(getZip()).append(";");
        result.append("]");
        return result.toString();
    }


    
}
