/*
 * $Id: EmployeeSaveExistingAction.java,v 1.2 2005/12/06 23:12:35 boogie Exp $
 */ 
package formdef.plugin.example.nested.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import formdef.plugin.example.nested.business.EmployeeHandler;
import formdef.plugin.example.nested.business.Employee;
import formdef.plugin.example.nested.business.Address;
import formdef.plugin.util.FormUtils;

public class EmployeeSaveExistingAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
            throws Exception {
        System.out.print("form=" + form);
        
        DynaActionForm dynaForm = (DynaActionForm) form;
        Employee employee = (Employee) 
                FormUtils.getFormValues(dynaForm, this, mapping, request);

        // use the add'l field in the form that's not in the business object
        if (dynaForm.get("selectedButton").equals("Delete")) {
            EmployeeHandler.getInstance().removeEmployee(employee.getNumber());
        } else if (!dynaForm.get("selectedButton").equals("Cancel")) {
            ////employee.setPhones((java.util.ArrayList) dynaForm.get("phones"));
            //ActionForm addressForm = (ActionForm) dynaForm.get("address");
            //Address address = (Address) 
            //        FormUtils.getFormValues(addressForm, "addressForm",
            //                            this, mapping, request);
            //employee.setAddress(address);
            EmployeeHandler.getInstance().updateEmployee(employee);
        }

        return mapping.findForward("employee.list.redirect");
    }

}
