/*
 * $Id: SaveCompanyAction.java,v 1.2 2005/12/06 23:12:35 boogie Exp $
 */ 
package formdef.plugin.example.nested.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import formdef.plugin.example.nested.business.CompanyHandler;
import formdef.plugin.example.nested.business.Company;
import formdef.plugin.util.FormUtils;

/**
 * Receives a companyForm and sends the data it holds to the business tier.
 */
public class SaveCompanyAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
            throws Exception {
        System.out.print("form=" + form);
        
        Company company = (Company) 
                FormUtils.getFormValues(form, this, mapping, request);

        CompanyHandler.getInstance().updateCompany(company);

        return mapping.findForward("employee.list.redirect");
    }

}
