/*
 * $Id: SaveNewEmployeeAction.java,v 1.2 2005/12/06 23:12:35 boogie Exp $
 */ 
package formdef.plugin.example.nested.web;

import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;
import org.apache.struts.action.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import formdef.plugin.example.nested.business.Employee;
import formdef.plugin.example.nested.business.EmployeeHandler;
import formdef.plugin.example.nested.business.Address;
import formdef.plugin.util.FormUtils;

public class SaveNewEmployeeAction extends Action {

    private static final Log logger =
            LogFactory.getLog(SaveNewEmployeeAction.class);

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm actionForm,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
            throws Exception {
        
        DynaActionForm form = (DynaActionForm) actionForm;

        // get the employee data
        Employee employee = (Employee)
                FormUtils.getFormValues(actionForm, this, mapping, request);

        //// and get the address as well
        //Address address = (Address) 
        //        FormUtils.getFormValues((ActionForm)form.get("address"), "addressForm",
        //                            this, mapping, request);
        //employee.setAddress(address);

        EmployeeHandler.getInstance().createEmployee(employee);

        return mapping.findForward("employee.list.redirect");
    }
}
